rpms/ec2-api-tools/EL-5 ec2-api-tools.spec, NONE, 1.1 ec2-cmd, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2
by Lubomir Rintel
Author: lkundrak
Update of /cvs/nonfree/rpms/ec2-api-tools/EL-5
In directory se02.es.rpmfusion.net:/tmp/cvs-serv28451/EL-5
Modified Files:
.cvsignore sources
Added Files:
ec2-api-tools.spec ec2-cmd
Log Message:
Import amazon ec2 api tools
--- NEW FILE ec2-api-tools.spec ---
%global major_version 1.3
%global minor_version 36506
Name: ec2-api-tools
Version: %{major_version}.%{minor_version}
Release: 1
Summary: Amazon EC2 Command-Line Tools
Group: Applications/Internet
License: Redistributable, no modification permitted and LGPLv2 and ASL 2.0 and ASL 1.1
# Just to avoid confusion, "ASL" above is Apache Software License
# "Redistributable" parts are covered by Amazon Software License
URL: http://developer.amazonwebservices.com/connect/entry.jspa?externalID=351
Source0: http://s3.amazonaws.com/ec2-downloads/%{name}.zip
Source1: ec2-cmd
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: jpackage-utils
Requires: java >= 1.5
BuildArch: noarch
%description
The command-line tools serve as the client interface to the Amazon EC2 web
service. Use these tools to register and launch instances, manipulate
security groups, and more.
%prep
%setup -q -n %{name}-%{major_version}-%{minor_version}
%build
%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}/ec2-api-tools
install -pm 644 lib/*.jar $RPM_BUILD_ROOT%{_javadir}/ec2-api-tools
install -d $RPM_BUILD_ROOT%{_bindir}
# Rewrite the wrappers
for FILE in $(ls bin/* |grep -v 'cmd$')
do
TARGET=$RPM_BUILD_ROOT%{_bindir}/$(basename $FILE)
METHOD=$(awk '/ec2-cmd/ {printf "%s", $2}' $FILE)
cat >$TARGET <<EOF
#!/bin/bash
exec ec2-cmd $METHOD "\$@"
EOF
chmod 0755 $TARGET
touch --reference $FILE $TARGET
done
# The bundled ec2-cmd is not suitable for us
install -pm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/ec2-cmd
%clean
rm -rf $RPM_BUILD_ROOT
%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_javadir}/ec2-api-tools
%doc THIRDPARTYLICENSE.TXT license.txt notice.txt
%changelog
* Wed Jul 15 2009 Lubomir Rintel (Good Data) <lubo.rintel(a)gooddata.com> - 1.3.36506-1
- Bump to newer upstream version
- Publising, remove profanity
- Don't depend on Sun Java specifically
* Thu Dec 11 2008 Lubomir Rintel (Good Data) <lubo.rintel(a)gooddata.com> - 1.3.30349-1
- New upstream release, support for European zones
* Tue Oct 7 2008 Lubomir Rintel (Good Data) <lubo.rintel(a)gooddata.com> - 1.3.24159-2
- Require Sun Java
* Tue Oct 7 2008 Lubomir Rintel (Good Data) <lubo.rintel(a)gooddata.com> - 1.3.24159-1
- Initial packaging attempt
--- NEW FILE ec2-cmd ---
#!/bin/bash
#
# EC2 API Tools dispatcher
# Lubomir Rintel (Good Data) <lubo.rintel(a)gooddata.com>
# Source functions library
if [ -f /usr/share/java-utils/java-functions ] ; then
. /usr/share/java-utils/java-functions
else
echo "Can't find functions library, aborting"
exit 1
fi
# Load system-wide configuration
if [ -f /etc/ec2-cmd.conf ]; then
. /etc/ec2-cmd.conf
fi
# Load user configuration
if [ -f "$HOME/.ec2-cmdrc" ]; then
. "$HOME/.ec2-cmdrc"
fi
CMD=$1; shift
if [ -z "$CMD" ]
then
echo "Missing an argument. Usage: $0 <argument>" >&2
exit 1
fi
# Rest of the configuration
MAIN_CLASS=com.amazon.aes.webservices.client.cmd.$CMD
# Set parameters
set_jvm
set_flags $BASE_FLAGS
set_options $BASE_OPTIONS $EC2CMD_OPTS
CLASSPATH=$(echo /usr/share/java/ec2-api-tools/* |sed 's/ /:/g')
# Let's start
run "$@"
Index: .cvsignore
===================================================================
RCS file: /cvs/nonfree/rpms/ec2-api-tools/EL-5/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore 1 Aug 2009 17:15:15 -0000 1.1
+++ .cvsignore 2 Aug 2009 15:24:11 -0000 1.2
@@ -0,0 +1 @@
+ec2-api-tools.zip
Index: sources
===================================================================
RCS file: /cvs/nonfree/rpms/ec2-api-tools/EL-5/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources 1 Aug 2009 17:15:15 -0000 1.1
+++ sources 2 Aug 2009 15:24:11 -0000 1.2
@@ -0,0 +1 @@
+3d8758b85e05e83f938941afe9068d3f ec2-api-tools.zip
15 years, 3 months
rpms/ec2-api-tools/devel ec2-api-tools.spec, NONE, 1.1 ec2-cmd, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2
by Lubomir Rintel
Author: lkundrak
Update of /cvs/nonfree/rpms/ec2-api-tools/devel
In directory se02.es.rpmfusion.net:/tmp/cvs-serv28451/devel
Modified Files:
.cvsignore sources
Added Files:
ec2-api-tools.spec ec2-cmd
Log Message:
Import amazon ec2 api tools
--- NEW FILE ec2-api-tools.spec ---
%global major_version 1.3
%global minor_version 36506
Name: ec2-api-tools
Version: %{major_version}.%{minor_version}
Release: 1
Summary: Amazon EC2 Command-Line Tools
Group: Applications/Internet
License: Redistributable, no modification permitted and LGPLv2 and ASL 2.0 and ASL 1.1
# Just to avoid confusion, "ASL" above is Apache Software License
# "Redistributable" parts are covered by Amazon Software License
URL: http://developer.amazonwebservices.com/connect/entry.jspa?externalID=351
Source0: http://s3.amazonaws.com/ec2-downloads/%{name}.zip
Source1: ec2-cmd
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: jpackage-utils
Requires: java >= 1.5
BuildArch: noarch
%description
The command-line tools serve as the client interface to the Amazon EC2 web
service. Use these tools to register and launch instances, manipulate
security groups, and more.
%prep
%setup -q -n %{name}-%{major_version}-%{minor_version}
%build
%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}/ec2-api-tools
install -pm 644 lib/*.jar $RPM_BUILD_ROOT%{_javadir}/ec2-api-tools
install -d $RPM_BUILD_ROOT%{_bindir}
# Rewrite the wrappers
for FILE in $(ls bin/* |grep -v 'cmd$')
do
TARGET=$RPM_BUILD_ROOT%{_bindir}/$(basename $FILE)
METHOD=$(awk '/ec2-cmd/ {printf "%s", $2}' $FILE)
cat >$TARGET <<EOF
#!/bin/bash
exec ec2-cmd $METHOD "\$@"
EOF
chmod 0755 $TARGET
touch --reference $FILE $TARGET
done
# The bundled ec2-cmd is not suitable for us
install -pm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/ec2-cmd
%clean
rm -rf $RPM_BUILD_ROOT
%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_javadir}/ec2-api-tools
%doc THIRDPARTYLICENSE.TXT license.txt notice.txt
%changelog
* Wed Jul 15 2009 Lubomir Rintel (Good Data) <lubo.rintel(a)gooddata.com> - 1.3.36506-1
- Bump to newer upstream version
- Publising, remove profanity
- Don't depend on Sun Java specifically
* Thu Dec 11 2008 Lubomir Rintel (Good Data) <lubo.rintel(a)gooddata.com> - 1.3.30349-1
- New upstream release, support for European zones
* Tue Oct 7 2008 Lubomir Rintel (Good Data) <lubo.rintel(a)gooddata.com> - 1.3.24159-2
- Require Sun Java
* Tue Oct 7 2008 Lubomir Rintel (Good Data) <lubo.rintel(a)gooddata.com> - 1.3.24159-1
- Initial packaging attempt
--- NEW FILE ec2-cmd ---
#!/bin/bash
#
# EC2 API Tools dispatcher
# Lubomir Rintel (Good Data) <lubo.rintel(a)gooddata.com>
# Source functions library
if [ -f /usr/share/java-utils/java-functions ] ; then
. /usr/share/java-utils/java-functions
else
echo "Can't find functions library, aborting"
exit 1
fi
# Load system-wide configuration
if [ -f /etc/ec2-cmd.conf ]; then
. /etc/ec2-cmd.conf
fi
# Load user configuration
if [ -f "$HOME/.ec2-cmdrc" ]; then
. "$HOME/.ec2-cmdrc"
fi
CMD=$1; shift
if [ -z "$CMD" ]
then
echo "Missing an argument. Usage: $0 <argument>" >&2
exit 1
fi
# Rest of the configuration
MAIN_CLASS=com.amazon.aes.webservices.client.cmd.$CMD
# Set parameters
set_jvm
set_flags $BASE_FLAGS
set_options $BASE_OPTIONS $EC2CMD_OPTS
CLASSPATH=$(echo /usr/share/java/ec2-api-tools/* |sed 's/ /:/g')
# Let's start
run "$@"
Index: .cvsignore
===================================================================
RCS file: /cvs/nonfree/rpms/ec2-api-tools/devel/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore 1 Aug 2009 17:15:15 -0000 1.1
+++ .cvsignore 2 Aug 2009 15:24:12 -0000 1.2
@@ -0,0 +1 @@
+ec2-api-tools.zip
Index: sources
===================================================================
RCS file: /cvs/nonfree/rpms/ec2-api-tools/devel/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources 1 Aug 2009 17:15:15 -0000 1.1
+++ sources 2 Aug 2009 15:24:12 -0000 1.2
@@ -0,0 +1 @@
+3d8758b85e05e83f938941afe9068d3f ec2-api-tools.zip
15 years, 3 months
rpms/akmods/F-11 akmods.spec,1.5,1.6
by Thorsten Leemhuis
Author: thl
Update of /cvs/free/rpms/akmods/F-11
In directory se02.es.rpmfusion.net:/tmp/cvs-serv24380
Modified Files:
akmods.spec
Log Message:
* Sun Aug 02 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.3.6-3
- add lockfile as hard dep
Index: akmods.spec
===================================================================
RCS file: /cvs/free/rpms/akmods/F-11/akmods.spec,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- akmods.spec 29 Mar 2009 12:39:36 -0000 1.5
+++ akmods.spec 2 Aug 2009 14:08:11 -0000 1.6
@@ -1,6 +1,6 @@
Name: akmods
Version: 0.3.6
-Release: 2%{?dist}
+Release: 3%{?dist}
Summary: Automatic kmods build and install tool
Group: System Environment/Kernel
@@ -18,6 +18,7 @@
# not picked up automatically
Requires: %{_bindir}/nohup
+Requires: %{_bindir}/lockfile
# needed for actually building kmods:
Requires: %{_bindir}/rpmdev-vercmp
@@ -103,6 +104,9 @@
%{_mandir}/man1/*
%changelog
+* Sun Aug 02 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.3.6-3
+- add lockfile as hard dep
+
* Sun Mar 29 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.3.6-2
- rebuild for new F11 features
15 years, 3 months
rpms/akmods/devel akmods.spec,1.5,1.6
by Thorsten Leemhuis
Author: thl
Update of /cvs/free/rpms/akmods/devel
In directory se02.es.rpmfusion.net:/tmp/cvs-serv22437
Modified Files:
akmods.spec
Log Message:
* Sun Aug 02 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.3.6-3
- add lockfile as hard dep
Index: akmods.spec
===================================================================
RCS file: /cvs/free/rpms/akmods/devel/akmods.spec,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- akmods.spec 29 Mar 2009 12:39:36 -0000 1.5
+++ akmods.spec 2 Aug 2009 13:43:08 -0000 1.6
@@ -1,6 +1,6 @@
Name: akmods
Version: 0.3.6
-Release: 2%{?dist}
+Release: 3%{?dist}
Summary: Automatic kmods build and install tool
Group: System Environment/Kernel
@@ -18,6 +18,7 @@
# not picked up automatically
Requires: %{_bindir}/nohup
+Requires: %{_bindir}/lockfile
# needed for actually building kmods:
Requires: %{_bindir}/rpmdev-vercmp
@@ -103,6 +104,9 @@
%{_mandir}/man1/*
%changelog
+* Sun Aug 02 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.3.6-3
+- add lockfile as hard dep
+
* Sun Mar 29 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.3.6-2
- rebuild for new F11 features
15 years, 3 months
rpms/ec2-api-tools/devel .cvsignore, NONE, 1.1 Makefile, NONE, 1.1 sources, NONE, 1.1
by Thorsten Leemhuis
Author: thl
Update of /cvs/nonfree/rpms/ec2-api-tools/devel
In directory se02.es.rpmfusion.net:/home/rpmfusion/thl/nonfree/owners/tmpcvsr17564/rpms/ec2-api-tools/devel
Added Files:
.cvsignore Makefile sources
Log Message:
Setup of module ec2-api-tools
--- NEW FILE .cvsignore ---
--- NEW FILE Makefile ---
# Makefile for source rpm: ec2-api-tools
# $Id: Makefile,v 1.1 2009/08/01 17:15:15 thl Exp $
NAME := ec2-api-tools
SPECFILE = $(firstword $(wildcard *.spec))
define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef
MAKEFILE_COMMON := $(shell $(find-makefile-common))
ifeq ($(MAKEFILE_COMMON),)
# attept a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif
include $(MAKEFILE_COMMON)
--- NEW FILE sources ---
15 years, 3 months
rpms/ec2-api-tools Makefile, NONE, 1.1 import.log, NONE, 1.1 pkg.acl, NONE, 1.1
by Thorsten Leemhuis
Author: thl
Update of /cvs/nonfree/rpms/ec2-api-tools
In directory se02.es.rpmfusion.net:/home/rpmfusion/thl/nonfree/owners/tmpcvsr17564/rpms/ec2-api-tools
Added Files:
Makefile import.log pkg.acl
Log Message:
Setup of module ec2-api-tools
--- NEW FILE Makefile ---
# Top level Makefile for module ec2-api-tools
all : CVS/Root common-update
@cvs update
common-update : common
@cd common && cvs update
common : CVS/Root
@cvs checkout common
CVS/Root :
@echo "ERROR: This does not look like a CVS checkout" && exit 1
clean :
@find . -type f -name *~ -exec rm -fv {} \;
--- NEW FILE import.log ---
--- NEW FILE pkg.acl ---
15 years, 3 months
rpms/ec2-api-tools/devel - New directory
by Thorsten Leemhuis
Author: thl
Update of /cvs/nonfree/rpms/ec2-api-tools/devel
In directory se02.es.rpmfusion.net:/home/rpmfusion/thl/nonfree/owners/tmpcvsr17564/rpms/ec2-api-tools/devel
Log Message:
Directory /cvs/nonfree/rpms/ec2-api-tools/devel added to the repository
15 years, 3 months
rpms/ec2-api-tools - New directory
by Thorsten Leemhuis
Author: thl
Update of /cvs/nonfree/rpms/ec2-api-tools
In directory se02.es.rpmfusion.net:/home/rpmfusion/thl/nonfree/owners/tmpcvsr17564/rpms/ec2-api-tools
Log Message:
Directory /cvs/nonfree/rpms/ec2-api-tools added to the repository
15 years, 3 months